/**
 * setup.h: Setup entry point for creating/selecting profiles
 * 
 * Copyright: See COPYING file that comes with this distribution
 *
 * Author: Matthias Feistel <hitman_47@users.sourceforge.net>, (C) 2006, 2007
 */

#ifndef __SETUP_H
#define __SETUP_H

#include <vdr/plugin.h>

class cSetupLastfm : public cMenuSetupPage
{
public:
	cSetupLastfm( void );
protected:
	virtual void Store( void );
	virtual eOSState ProcessKey( eKeys Key );
private:
	void BuildItems( void );
	char newProfile[ 512 ];
	cMenuEditStrItem *m_newentryitem;
};

#endif // __SETUP_H
